Skip to main content
GET
/
storage-configs
cURL
curl --request GET \
  --url https://api.avala.ai/api/v1/storage-configs/ \
  --header 'X-Avala-Api-Key: <api-key>'
{
  "results": [
    {
      "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "provider": "aws_s3",
      "s3_bucket_name": "<string>",
      "s3_bucket_region": "<string>",
      "s3_bucket_prefix": "<string>",
      "s3_is_accelerated": true,
      "s3_auth_method": "access_key",
      "gc_storage_bucket_name": "<string>",
      "gc_storage_prefix": "<string>",
      "is_verified": true,
      "last_verified_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

X-Avala-Api-Key
string
header
required

API key for authentication. Generate one in Mission Control Settings > Security & Identity.

Query Parameters

ordering
string

Which field to use when ordering the results.

cursor
string

The pagination cursor value.

limit
integer

Number of results to return per page.

Response

200 - application/json
results
object[]
required
next
string<uri> | null
previous
string<uri> | null